#include <bits/stdc++.h>


using std::cout;
using std::cin;

int n, k, x, c;

int main()
{
    std::ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    cin >> n >> k >> x;

    cout << x + 1 << " ";
    for (int i = 1; i < n; i++)
        cout << 1 << " ";
    return 0;
}